net.ME1312.SubServers.Bungee.Host.Internal

## Class InternalSubServer

- java.lang.Object
- - net.md_5.bungee.BungeeServerInfo
  - - net.ME1312.SubServers.Bungee.Host.Server
    - - net.ME1312.SubServers.Bungee.Host.SubServer
      - - net.ME1312.SubServers.Bungee.Host.Internal.InternalSubServer

All Implemented Interfaces:
  net.md_5.bungee.api.config.ServerInfo, ClientHandler

    public class InternalSubServer
    extends SubServer

### Constructor Summary

Constructors
Constructor and Description
`InternalSubServer(Host host, java.lang.String name, boolean enabled, int port, java.lang.String motd, boolean log, java.lang.String directory, Executable executable, java.lang.String stopcmd, boolean start, boolean restart, boolean hidden, boolean restricted, boolean temporary)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `command(java.util.UUID player, java.lang.String command)` Commands the Server
`java.lang.String` `getDirectory()` Get the Server Directory
`Host` `getHost()` Grabs the Host of the Server
`java.lang.String` `getStopCommand()` Grab the Command to Stop the Server
`boolean` `isEnabled()` If the Server is Enabled
`boolean` `isLogging()` If the Server is Logging
`boolean` `isRunning()` If the Server is Running
`boolean` `isTemporary()` If the Server is Temporary
`void` `setAutoRestart(boolean value)` Set if the Server will Auto Restart on unexpected shutdowns
`void` `setEnabled(boolean value)` Set if the Server is Enabled
`void` `setLogging(boolean value)` Set if the Server is Logging
`void` `setStopCommand(java.lang.String value)` Set the Command that Stops the Server
`boolean` `start(java.util.UUID player)` Starts the Server
`boolean` `stop(java.util.UUID player)` Stops the Server
`boolean` `terminate(java.util.UUID player)` Terminates the Server
`void` `waitFor()` Waits for the Server to Stop
`boolean` `willAutoRestart()` If the Server will Auto Restart on unexpected shutdowns

### Methods inherited from class net.ME1312.SubServers.Bungee.Host.SubServer

`command, start, stop, terminate`

### Methods inherited from class net.ME1312.SubServers.Bungee.Host.Server

`getMotd, getSubDataClient, isHidden, isRestricted, linkSubDataClient, setHidden, setMotd, setRestricted`

### Methods inherited from class net.md_5.bungee.BungeeServerInfo

`addPlayer, canAccess, equals, getAddress, getName, getPacketQueue, getPlayers, hashCode, ping, ping, removePlayer, sendData, sendData, toString`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### InternalSubServer

    public InternalSubServer(Host host,
                             java.lang.String name,
                             boolean enabled,
                             int port,
                             java.lang.String motd,
                             boolean log,
                             java.lang.String directory,
                             Executable executable,
                             java.lang.String stopcmd,
                             boolean start,
                             boolean restart,
                             boolean hidden,
                             boolean restricted,
                             boolean temporary)
                      throws InvalidServerException

Throws:
  `InvalidServerException`

### Method Detail

#### start

    public boolean start(java.util.UUID player)

Description copied from class: `SubServer`
Starts the Server

Specified by:
  `start` in class `SubServer`
Parameters:
  `player` - Player who Started
Returns:
  Success Status

#### stop

    public boolean stop(java.util.UUID player)

Description copied from class: `SubServer`
Stops the Server

Specified by:
  `stop` in class `SubServer`
Parameters:
  `player` - Player who Stopped
Returns:
  Success Status

#### terminate

    public boolean terminate(java.util.UUID player)

Description copied from class: `SubServer`
Terminates the Server

Specified by:
  `terminate` in class `SubServer`
Parameters:
  `player` - Player who Terminated
Returns:
  Success Status

#### command

    public boolean command(java.util.UUID player,
                           java.lang.String command)

Description copied from class: `SubServer`
Commands the Server

Specified by:
  `command` in class `SubServer`
Parameters:
  `player` - Player who Commanded
  `command` - Command to Send
Returns:
  Success Status

#### waitFor

    public void waitFor()
                 throws java.lang.InterruptedException

Description copied from class: `SubServer`
Waits for the Server to Stop

Specified by:
  `waitFor` in class `SubServer`
Throws:
  `java.lang.InterruptedException`

#### isRunning

    public boolean isRunning()

Description copied from class: `SubServer`
If the Server is Running

Specified by:
  `isRunning` in class `SubServer`
Returns:
  Running Status

#### getHost

    public Host getHost()

Description copied from class: `SubServer`
Grabs the Host of the Server

Specified by:
  `getHost` in class `SubServer`
Returns:
  The Host

#### isEnabled

    public boolean isEnabled()

Description copied from class: `SubServer`
If the Server is Enabled

Specified by:
  `isEnabled` in class `SubServer`
Returns:
  Enabled Status

#### setEnabled

    public void setEnabled(boolean value)

Description copied from class: `SubServer`
Set if the Server is Enabled

Specified by:
  `setEnabled` in class `SubServer`
Parameters:
  `value` - Value

#### isLogging

    public boolean isLogging()

Description copied from class: `SubServer`
If the Server is Logging

Specified by:
  `isLogging` in class `SubServer`
Returns:
  Logging Status

#### setLogging

    public void setLogging(boolean value)

Description copied from class: `SubServer`
Set if the Server is Logging

Specified by:
  `setLogging` in class `SubServer`
Parameters:
  `value` - Value

#### getDirectory

    public java.lang.String getDirectory()

Description copied from class: `SubServer`
Get the Server Directory

Specified by:
  `getDirectory` in class `SubServer`
Returns:
  Server Directory

#### getStopCommand

    public java.lang.String getStopCommand()

Description copied from class: `SubServer`
Grab the Command to Stop the Server

Specified by:
  `getStopCommand` in class `SubServer`
Returns:
  Stop Command

#### setStopCommand

    public void setStopCommand(java.lang.String value)

Description copied from class: `SubServer`
Set the Command that Stops the Server

Specified by:
  `setStopCommand` in class `SubServer`
Parameters:
  `value` - Value

#### willAutoRestart

    public boolean willAutoRestart()

Description copied from class: `SubServer`
If the Server will Auto Restart on unexpected shutdowns

Specified by:
  `willAutoRestart` in class `SubServer`
Returns:
  Auto Restart Status

#### setAutoRestart

    public void setAutoRestart(boolean value)

Description copied from class: `SubServer`
Set if the Server will Auto Restart on unexpected shutdowns

Specified by:
  `setAutoRestart` in class `SubServer`
Parameters:
  `value` - Value

#### isTemporary

    public boolean isTemporary()

Description copied from class: `SubServer`
If the Server is Temporary

Specified by:
  `isTemporary` in class `SubServer`
Returns:
  Temporary Status